awn-applet crashed with SIGSEGV in task_item_left_click()

Bug #550541 reported by WNino on 2010-03-28
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Awn
High
moonbeam
avant-window-navigator (Ubuntu)
Medium
Julien Lavergne

Bug Description

Binary package hint: avant-window-navigator

I dont know what happened. I turn on my laptop and when the aplet craseh i saw that firefox had 7 windows opened, thats it's all.

ProblemType: Crash
DistroRelease: Ubuntu 10.04
Package: avant-window-navigator 0.4.0~rc1-0ubuntu1
ProcVersionSignature: Ubuntu 2.6.32-17.26-generic 2.6.32.10+drm33.1
Uname: Linux 2.6.32-17-generic i686
Architecture: i386
CheckboxSubmission: 32671fb4730a91ffd91aad38a1803e05
CheckboxSystem: 2e4ab5fb96eeb897d439b8ef1239668e
Date: Sun Mar 28 14:03:59 2010
ExecutablePath: /usr/bin/awn-applet
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Beta i386 (20100318)
ProcCmdline: awn-applet -p /usr/share/avant-window-navigator/applets/taskmanager.desktop -u 3 -w 18874412 -i 1
ProcEnviron:
 PATH=(custom, user)
 LANG=es_CO.utf8
 SHELL=/bin/bash
SegvAnalysis:
 Segfault happened at: 0x167dca3: mov 0xc(%eax),%edx
 PC (0x0167dca3) ok
 source "0xc(%eax)" (0x0000000c) not located in a known VMA region (needed readable region)!
 destination "%edx" ok
SegvReason: reading NULL VMA
Signal: 11
SourcePackage: avant-window-navigator
StacktraceTop:
 ?? () from /usr/lib/awn/applets/taskmanager/taskmanager.so
 task_item_left_click ()
 ?? () from /usr/lib/awn/applets/taskmanager/taskmanager.so
 g_cclosure_marshal_VOID__VOID ()
 g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
Title: awn-applet crashed with SIGSEGV in task_item_left_click()
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
XsessionErrors: (polkit-gnome-authentication-agent-1:2988): GLib-CRITICAL **: g_once_init_leave: assertion `initialization_value != 0' failed

WNino (banderas) wrote :
WNino (banderas) wrote :

Other cuestion: My /home was before the 10.4 installation

StacktraceTop:
 _left_click (item=0x9baf800, event=0x0)
 task_item_left_click (item=0x9baf800, event=0x0)
 task_item_activate (widget=0x9baf800, null=0x0)
 ?? () from /usr/lib/libgobject-2.0.so.0
 g_closure_invoke () from /usr/lib/libgobject-2.0.so.0

Changed in avant-window-navigator (Ubuntu):
importance: Undecided → Medium
tags: removed: need-i386-retrace
Julien Lavergne (gilir) wrote :

Thanks for your bug report. Forwarding upstream.

visibility: private → public
Changed in avant-window-navigator (Ubuntu):
status: New → Triaged
Michal Hruby (mhr3) on 2010-04-10
Changed in awn:
status: New → Triaged
importance: Undecided → High
assignee: nobody → moonbeam (rcryderman)
milestone: none → 0.4.0
moonbeam (rcryderman) wrote :

Should be resolved in rev 673.

Changed in awn:
status: Triaged → Fix Committed
Julien Lavergne (gilir) on 2010-04-11
Changed in avant-window-navigator (Ubuntu):
assignee: nobody → Julien Lavergne (gilir)
status: Triaged → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package avant-window-navigator - 0.4.0-0ubuntu1

---------------
avant-window-navigator (0.4.0-0ubuntu1) lucid; urgency=low

  * New upstream release.
   - Fix crash when event is NULL (LP: #550541)
   - Fix crash in awn-setting when adding applet (LP: #557778)
  * debian/control
   - Add mention of Awn in the description.
   - Add depends on python-desktop-agnostic for python-awn.
  * debian/patches
   - 02-bad-pointer-init.patch: From upstream, bad unitialized pointer.
 -- Julien Lavergne <email address hidden> Sun, 11 Apr 2010 21:17:27 +0200

Changed in avant-window-navigator (Ubuntu):
status: In Progress → Fix Released
Mark Lee (malept) on 2010-04-12
Changed in awn:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers